%define anolis_release 1

Name:           mesa-libGLU
Version:        9.0.2
Release:        %{anolis_release}%{?dist}
Summary:        Mesa libGLU library
License:        MIT
URL:            http://mesa3d.org/
Source0:        https://archive.mesa3d.org/glu/glu-%{version}.tar.xz

BuildRequires:  pkgconfig(gl)
BuildRequires:	make
Provides: libGLU

%description
Mesa implementation of the standard GLU OpenGL utility API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gl-manpages
Provides:	libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n glu-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_datadir}/man/man3/gl[A-Z]*

%files
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%changelog
* Sun Jan 8 2023 Funda Wang <fundawang@yeah.net> - 9.0.2-1
- New version 9.0.2
